Subject: Offline Message from Am Abdullah : I made an order and prepaid the card and d
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Sun, 21 Jun 2020 08:29:16 -0000

From: Am Abdullah  <[email-masked]>
Phone: 
Location: Al Ain City, United Arab Emirates
URL: https://www.mumzworld.com/ar/contact-us
Department: 

I made an order and prepaid the card and divided the order in the form of 3 shipments I received 1 out of 3 Please inform me of the delivery date as I was sent a link with a message to reschedule the order but when I click on the link it does not work?  !!

Order number 700242472

----
Zopim
https://www.zopim.com